diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/model/bridge-channel.h ns-3.43/src/bridge/model/bridge-channel.h
--- ns-3.42/src/bridge/model/bridge-channel.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/model/bridge-channel.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/model/bridge-net-device.cc ns-3.43/src/bridge/model/bridge-net-device.cc
--- ns-3.42/src/bridge/model/bridge-net-device.cc	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/model/bridge-net-device.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/bridge/model/bridge-net-device.h ns-3.43/src/bridge/model/bridge-net-device.h
--- ns-3.42/src/bridge/model/bridge-net-device.h	2024-05-29 15:29:46.920073000 -0700
+++ ns-3.43/src/bridge/model/bridge-net-device.h	2024-10-09 16:41:09.848655700 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/brite/examples/brite-generic-example.cc ns-3.43/src/brite/examples/brite-generic-example.cc
--- ns-3.42/src/brite/examples/brite-generic-example.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/brite/examples/brite-generic-example.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 The Georgia Institute of Technology
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Brian Swenson <bswenson3@gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/brite/examples/brite-generic-example.py ns-3.43/src/brite/examples/brite-generic-example.py
--- ns-3.42/src/brite/examples/brite-generic-example.py	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/brite/examples/brite-generic-example.py	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 #
 # Copyright (c) 2012 The Georgia Institute of Technology
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Brian Swenson <bswenson3@gatech.edu>
 # Modified by: Gabriel Ferreira <gabrielcarvfer@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/brite/examples/brite-MPI-example.cc ns-3.43/src/brite/examples/brite-MPI-example.cc
--- ns-3.42/src/brite/examples/brite-MPI-example.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/brite/examples/brite-MPI-example.cc	2024-10-09 16:41:09.848655700 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 The Georgia Institute of Technology
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Brian Swenson <bswenson3@gatech.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/brite/helper/brite-topology-helper.cc ns-3.43/src/brite/helper/brite-topology-helper.cc
--- ns-3.42/src/brite/helper/brite-topology-helper.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/brite/helper/brite-topology-helper.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/brite/helper/brite-topology-helper.h ns-3.43/src/brite/helper/brite-topology-helper.h
--- ns-3.42/src/brite/helper/brite-topology-helper.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/brite/helper/brite-topology-helper.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/brite/test/brite-test-topology.cc ns-3.43/src/brite/test/brite-test-topology.cc
--- ns-3.42/src/brite/test/brite-test-topology.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/brite/test/brite-test-topology.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/examples/buildings-pathloss-profiler.cc ns-3.43/src/buildings/examples/buildings-pathloss-profiler.cc
--- ns-3.42/src/buildings/examples/buildings-pathloss-profiler.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/examples/buildings-pathloss-profiler.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/examples/outdoor-group-mobility-animate.sh ns-3.43/src/buildings/examples/outdoor-group-mobility-animate.sh
--- ns-3.42/src/buildings/examples/outdoor-group-mobility-animate.sh	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/examples/outdoor-group-mobility-animate.sh	2024-10-09 16:41:09.852655600 -0700
@@ -3,18 +3,7 @@
 # Copyright (c) 2019, University of Padova, Dep. of Information Engineering, SIGNET lab
 # Copyright (c) 2021, University of Washington: animation extensions
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Authors: Michele Polese <michele.polese@gmail.com>
 #          Tom Henderson <tomhend@uw.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/examples/outdoor-group-mobility-example.cc ns-3.43/src/buildings/examples/outdoor-group-mobility-example.cc
--- ns-3.42/src/buildings/examples/outdoor-group-mobility-example.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/examples/outdoor-group-mobility-example.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2020 Institute for the Wireless Internet of Things, Northeastern University,
  * Boston, MA Copyright (c) 2021, University of Washington: refactor for hierarchical model
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Michele Polese <michele.polese@gmail.com>
  * Heavily edited by Tom Henderson to use HierarchicalMobilityModel
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/examples/outdoor-random-walk-example-animate.sh ns-3.43/src/buildings/examples/outdoor-random-walk-example-animate.sh
--- ns-3.42/src/buildings/examples/outdoor-random-walk-example-animate.sh	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/examples/outdoor-random-walk-example-animate.sh	2024-10-09 16:41:09.852655600 -0700
@@ -3,18 +3,7 @@
 # Copyright (c) 2019, University of Padova, Dep. of Information Engineering, SIGNET lab
 # Copyright (c) 2021, University of Washington: animation extensions
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Authors: Michele Polese <michele.polese@gmail.com>
 #          Tom Henderson <tomhend@uw.edu> (animation extensions)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/examples/outdoor-random-walk-example.cc ns-3.43/src/buildings/examples/outdoor-random-walk-example.cc
--- ns-3.42/src/buildings/examples/outdoor-random-walk-example.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/examples/outdoor-random-walk-example.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  * Copyright (c) 2019, University of Padova, Dep. of Information Engineering, SIGNET lab
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es> for the code adapted from the lena-dual-stripe.cc example
  * Author: Michele Polese <michele.polese@gmail.com> for this version
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/examples/outdoor-random-walk-example.sh ns-3.43/src/buildings/examples/outdoor-random-walk-example.sh
--- ns-3.42/src/buildings/examples/outdoor-random-walk-example.sh	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/examples/outdoor-random-walk-example.sh	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
 
 # Copyright (c) 2019, University of Padova, Dep. of Information Engineering, SIGNET lab
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Author: Michele Polese <michele.polese@gmail.com>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/building-allocator.cc ns-3.43/src/buildings/helper/building-allocator.cc
--- ns-3.42/src/buildings/helper/building-allocator.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/building-allocator.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 INRIA
  * Copyright (C) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Nicola Baldo <nbaldo@cttc.es> (took position-allocator and turned it into
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/building-allocator.h ns-3.43/src/buildings/helper/building-allocator.h
--- ns-3.42/src/buildings/helper/building-allocator.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/building-allocator.h	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2007 INRIA
  * Copyright (C) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Author: Nicola Baldo <nbaldo@cttc.es> (took position-allocator and turned it into
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/building-container.cc ns-3.43/src/buildings/helper/building-container.cc
--- ns-3.42/src/buildings/helper/building-container.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/building-container.cc	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr> (original node-container.cc)
  *         Nicola Baldo (wrote building-container.cc based on node-container.cc)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/building-container.h ns-3.43/src/buildings/helper/building-container.h
--- ns-3.42/src/buildings/helper/building-container.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/building-container.h	2024-10-09 16:41:09.852655600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2008 INRIA
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr> (original node-container.h)
  *         Nicola Baldo (wrote building-container.h based on node-container.h)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/building-position-allocator.cc ns-3.43/src/buildings/helper/building-position-allocator.cc
--- ns-3.42/src/buildings/helper/building-position-allocator.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/building-position-allocator.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (C)  2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Michele Polese <michele.polese@gmail.com> for the OutdoorPositionAllocator class
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/building-position-allocator.h ns-3.43/src/buildings/helper/building-position-allocator.h
--- ns-3.42/src/buildings/helper/building-position-allocator.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/building-position-allocator.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (C) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  *         Michele Polese <michele.polese@gmail.com> for the OutdoorPositionAllocator class
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/buildings-helper.cc ns-3.43/src/buildings/helper/buildings-helper.cc
--- ns-3.42/src/buildings/helper/buildings-helper.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/buildings-helper.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/helper/buildings-helper.h ns-3.43/src/buildings/helper/buildings-helper.h
--- ns-3.42/src/buildings/helper/buildings-helper.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/helper/buildings-helper.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/building.cc ns-3.43/src/buildings/model/building.cc
--- ns-3.42/src/buildings/model/building.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/building.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Marco Miozzo  <marco.miozzo@cttc.es>
  *          Nicola Baldo <nbaldo@cttc.es>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/building.h ns-3.43/src/buildings/model/building.h
--- ns-3.42/src/buildings/model/building.h	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/building.h	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/buildings/model/building-list.cc ns-3.43/src/buildings/model/building-list.cc
--- ns-3.42/src/buildings/model/building-list.cc	2024-05-29 15:29:46.924073000 -0700
+++ ns-3.43/src/buildings/model/building-list.cc	2024-10-09 16:41:09.852655600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jaume Nin <jaume.nin@cttc,cat>
  * Based on BuildingList implementation by Mathieu Lacage  <mathieu.lacage@sophia.inria.fr>
